# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Unicode-Map8
Version:	0.13
Release:	43.%{__distinit}%{__distvers}
Summary:	Mapping table between 8-bit chars and Unicode for Perl
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Unicode-Map8
Source0:	https://cpan.metacpan.org/modules/by-module/Unicode/Unicode-Map8-%{version}.tar.gz
Patch0:		Unicode-Map8-0.12-declaration.diff
Patch1:		Unicode-Map8-0.12-type.diff
Patch2:		Unicode-Map8-0.13-recode.patch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(Unicode::String) >= 2.00
BuildRequires:	perl(vars)
# Script Runtime
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(Unicode::CharName)
# Test Suite
# (no additional dependencies)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
The Unicode::Map8 class implements efficient mapping tables between
8-bit character sets and 16 bit character sets like Unicode.  About
170 different mapping tables between various known character sets and
Unicode is distributed with this package.  The source of these tables
is the vendor mapping tables provided by Unicode, Inc. and the code
tables in RFC 1345.  New maps can easily be installed.

%prep
%setup -q -n Unicode-Map8-%{version}

# Patches from openSUSE to fix test suite on x86_64
%patch -P 0 -p0
%patch -P 1 -p0

# Re-code docs as UTF8
%patch -P 2

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{_bindir}/umap
%{perl_vendorarch}/auto/Unicode/
%{perl_vendorarch}/Unicode/
%{_mandir}/man1/umap.1*
%{_mandir}/man3/Unicode::Map8.3*

%changelog
* Sat Jun 24 2023 Paul Howarth <paul@city-fan.org> - 0.13-43
- Use SPDX-format license tag
- Avoid use of deprecated patch syntax

* Wed Jun  1 2022 Paul Howarth <paul@city-fan.org> - 0.13-41
- Perl 5.36 rebuild

* Fri May 21 2021 Paul Howarth <paul@city-fan.org> - 0.13-38
- Perl 5.34 rebuild

* Thu Jun 25 2020 Paul Howarth <paul@city-fan.org> - 0.13-35
- Perl 5.32 rebuild

* Fri May 31 2019 Paul Howarth <paul@city-fan.org> - 0.13-31
- Perl 5.30 rebuild

* Wed Jun 27 2018 Paul Howarth <paul@city-fan.org> - 0.13-28
- Perl 5.28 rebuild

* Thu Mar 22 2018 Paul Howarth <paul@city-fan.org> - 0.13-27
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Sun Jun  4 2017 Paul Howarth <paul@city-fan.org> - 0.13-23
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Wed Oct 12 2016 Paul Howarth <paul@city-fan.org> - 0.13-21
- Classify buildreqs by usage
- Simplify find commands using -empty and -delete

* Thu Aug 28 2014 Paul Howarth <paul@city-fan.org> - 0.13-17
- Drop %%defattr, redundant since rpm 4.4

* Mon Jul 22 2013 Paul Howarth <paul@city-fan.org> - 0.13-13
- Perl 5.18 rebuild

* Sun Jun 24 2012 Paul Howarth <paul@city-fan.org> - 0.13-8
- BR: perl(Exporter) and perl(Unicode::CharName)
- Use a patch rather than scripted iconv to fix character encoding
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorarch}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Fri Jul  8 2011 Paul Howarth <paul@city-fan.org> - 0.13-5
- Rebuild for perl 5.14.1 in Rawhide
- Add perl(:MODULE_COMPAT_*) dependency
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri May 28 2010 Paul Howarth <paul@city-fan.org> - 0.13-2
- Fix dist tag for RHEL-6 Beta

* Tue Jan 19 2010 Paul Howarth <paul@city-fan.org> - 0.13-1
- Update to 0.13 (tweak for compatibility with Strawberry Perl - CPAN RT#50443)
- Dist tag for Rawhide no longer needs special-casing

* Thu Oct  1 2009 Paul Howarth <paul@city-fan.org> - 0.12-11
- Use %%{?perl_default_filter} for provides filter

* Fri Mar  6 2009 Paul Howarth <paul@city-fan.org> - 0.12-10
- Filter out unwanted provides for perl shared objects
- Update to SLES-compatible dist tag macros

* Thu Oct 30 2008 Paul Howarth <paul@city-fan.org> - 0.12-9
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Re-encode Changes and README as UTF8
- More specific %%files list
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Wed Jun  6 2007 Paul Howarth <paul@city-fan.org> - 0.12-8
- Fix dist tag for Fedora 7 onwards
- Add buildreq perl(ExtUtils::MakeMaker)

* Wed Oct 25 2006 Paul Howarth <paul@city-fan.org> - 0.12-7
- Apply patches from openSUSE to fix test suite on x86_64
- Fix argument order of find with -depth
- Fix dist tag for development releases

* Thu Aug 31 2006 Paul Howarth <paul@city-fan.org> - 0.12-6
- Disregard distribution sub-release number in dist tag
- Define %%{__id_u} in a more portable way

* Thu Jan 26 2006 Paul Howarth <paul@city-fan.org> - 0.12-5
- Import from Fedora Extras
- Use search.cpan.org URL for source
- Tidy up

* Wed Apr  6 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- Rebuilt

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.12-0.fdr.4
- Reduce directory ownership bloat

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.12-0.fdr.3
- Install into vendor dirs
- Specfile cleanup

* Mon Jul  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.12-0.fdr.2
- Regenerate %%install section with cpanflute2

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.12-0.fdr.1
- Update to current Fedora guidelines

* Sun Mar  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.12-1.fedora.1
- First Fedora release
